lwIP 2.1.0 Lightweight IP stack

Data Fields
smtp_session Struct Reference

## Data Fields
enum smtp_session_state | state
u16_t | timer
char | tx_buf [255+1]
const char * | from
u16_t | from_len
const char * | to
u16_t | to_len
const char * | subject
u16_t | subject_len
const char * | body
u16_t | body_len
u16_t | body_sent
smtp_result_fn | callback_fn
void * | callback_arg
char * | username
char * | pass
char | auth_plain [32+32+3]
size_t | auth_plain_len

## Detailed Description

struct keeping the body and state of an smtp session

## Field Documentation

## ◆ auth_plain

char smtp_session::auth_plain[32+ 32+3]

Username and password combined as necessary for PLAIN authentication

## ◆ auth_plain_len

size_t smtp_session::auth_plain_len

Length of smtp_auth_plain string (cannot use strlen since it includes \0)

## ◆ body

const char* smtp_session::body

this is the body of the mail to be sent

## ◆ body_len

u16_t smtp_session::body_len

this is the length of the body to be sent

## ◆ body_sent

u16_t smtp_session::body_sent

amount of data from body already sent

## ◆ callback_arg

void* smtp_session::callback_arg

argument for callback function

## ◆ callback_fn

smtp_result_fn smtp_session::callback_fn

callback function to call when closed

## ◆ from

const char* smtp_session::from

source email address

## ◆ from_len

u16_t smtp_session::from_len

size of the sourceemail address

## ◆ pass

char* smtp_session::pass

Password to use for this request

## ◆ state

enum smtp_session_state smtp_session::state

keeping the state of the smtp session

## ◆ subject

const char* smtp_session::subject

subject of the email

## ◆ subject_len

u16_t smtp_session::subject_len

length of the subject string

## ◆ timer

u16_t smtp_session::timer

timeout handling, if this reaches 0, the connection is closed

## ◆ to

const char* smtp_session::to

target email address

## ◆ to_len

u16_t smtp_session::to_len

size of the target email address

## ◆ tx_buf

char smtp_session::tx_buf[255+1]

helper buffer for transmit, not used for sending body

## ◆ username

char* smtp_session::username

Username to use for this request

The documentation for this struct was generated from the following file:

- src/apps/smtp/smtp.c